        PrefabFiles = {
	"backpack",
	"piggyback",
	"krampus_sack",
}
        Assets = 
{
	
}

Vector3 = GLOBAL.Vector3

rearranged_widgetpos = Vector3( 0, 0, 0)


local function GetInventorySlotNum(component,inst)
	--local player = GLOBAL.GetPlayer()
	--local controls = player.HUD.controls
	--local status = controls.status
	
	local inventoryslotnum = inst.components.inventory.maxslots
	
	--controls.ministatus = controls.clock:AddChild(Status(controls.owner))
	--controls.ministatus.heart:Kill()
	
	if (inventoryslotnum == 15) then -- for Vannile, Backpack and Amulet Slots
		slot_pos_x_delta = 0
		slot_pos_y_delta = 0
		rearranged_widgetpos = Vector3( -500 +30, -600 +80 +100 -10 -5, 0)
	elseif (inventoryslotnum == 20) then
		slot_pos_x_delta = 0
		slot_pos_y_delta = 0
		rearranged_widgetpos = Vector3( -500 +30 +400 -100 -100 -20 -40+2 +5 +5, -600 +150 +50 +9 -40 -2 -5 +3, 0)
	elseif (inventoryslotnum == 25) then
		slot_pos_x_delta = 0
		slot_pos_y_delta = 0
		rearranged_widgetpos = Vector3( -500 +30 +400 -100 -100 -20 -40+2, -600 +150 +50 +9 -40 -2, 0)
	elseif (inventoryslotnum == 55) then
		slot_pos_x_delta = 0
		slot_pos_y_delta = 0
		rearranged_widgetpos = Vector3( -500 +30 +400 -100 -100 -20, -600 +150 +50 +9, 0)
	elseif (inventoryslotnum == 45) then
		slot_pos_x_delta = 0
		slot_pos_y_delta = 0
		rearranged_widgetpos = Vector3( -500 +30 +400 -100 -100 -20 -200 -100, -600 +150 +50 +9 +50 -30 +3, 0)
	
	end
end

AddComponentPostInit("inventory", GetInventorySlotNum)


local function TintingPostInit(self, num, atlas, bgim, owner, container)
	if container.widgetbgimagetint then
		self.bgimage:SetTint(container.widgetbgimagetint.r, container.widgetbgimagetint.g, container.widgetbgimagetint.b, container.widgetbgimagetint.a)
    end
end

AddClassPostConstruct("widgets/invslot", TintingPostInit)



local function RearrangeBackpackHUD(inst)
	
	local num_of_column = inst.components.container.numslots/2
	
	local slot_pos_x_centering = (75*(5-num_of_column))/2
	
	--Re-Define slot array
	local slotpos = {}
	
	for x = 0, ((num_of_column)-1) do
		table.insert(slotpos, Vector3(x*75 + slot_pos_x_centering + slot_pos_x_delta, 150 + slot_pos_y_delta, 0))
		table.insert(slotpos, Vector3(x*75 + slot_pos_x_centering + slot_pos_x_delta, 75 + slot_pos_y_delta, 0))
	end
	
	
	inst.components.container.numslots = #slotpos
	inst.components.container.widgetslotpos = slotpos
	
	inst.components.container.widgetpos = rearranged_widgetpos
	inst.components.container.side_align_tip = 0
	
	inst.components.container.widgetanimbank = nil
	inst.components.container.widgetanimbuild = nil
	
	inst.components.container.widgetbgatlas = nil
	inst.components.container.widgetbgimage = nil
	
	inst.components.container.widgetbgimagetint = {r=.87,g=.73,b=.66,a=1}

	end


AddPrefabPostInit("backpack", RearrangeBackpackHUD)
AddPrefabPostInit("piggyback", RearrangeBackpackHUD)
AddPrefabPostInit("krampus_sack", RearrangeBackpackHUD)
